imagesetthickness
imagestring
GD and Image Functions
PHP Manual

# imagesettile

Set the tile image for filling

### Description

bool imagesettile ( resource `$image` , resource `$tile` )

imagesettile sets the tile image to be used by all region filling functions (such as imagefill and imagefilledpolygon) when filling with the special color `IMG_COLOR_TILED`.

A tile is an image used to fill an area with a repeated pattern. Any GD image can be used as a tile, and by setting the transparent color index of the tile image with imagecolortransparent, a tile allows certain parts of the underlying area to shine through can be created.

> Note:

> You need not take special action when you are finished with a tile, but if you destroy the tile image, you must not use the `IMG_COLOR_TILED` color until you have set a new tile image!

### Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor.

`tile`

  The image resource to be used as a tile.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 imagesettile example

`<?php
// Load an external image
$zend = imagecreatefromgif('./zend.gif');
// Create a 200x200 image
$im = imagecreatetruecolor(200, 200);
// Set the tile
imagesettile($im, $zend);
// Make the image repeat
imagefilledrectangle($im, 0, 0, 199, 199, IMG_COLOR_TILED);
// Output image to the browser
header('Content-Type: image/png');
imagepng($im);
imagedestroy($im);
imagedestroy($zend);
?>`

The above example will output something similar to: